| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
StreamProfile.h File Reference

The stream configuration related type is used to get information such as the width, height, frame rate, and format of the stream. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_format | ob_stream_profile_format (ob_stream_profile *profile, ob_error **error)
| Get stream profile format. More...
ob_stream_type | ob_stream_profile_type (ob_stream_profile *profile, ob_error **error)
| Get stream profile type. More...
uint32_t | ob_video_stream_profile_fps (ob_stream_profile *profile, ob_error **error)
| Get the frame rate of the video stream configuration. More...
uint32_t | ob_video_stream_profile_width (ob_stream_profile *profile, ob_error **error)
| Get the width of the video stream configuration. More...
uint32_t | ob_video_stream_profile_height (ob_stream_profile *profile, ob_error **error)
| Get the height of the video stream configuration. More...
ob_accel_full_scale_range | ob_accel_stream_profile_full_scale_range (ob_stream_profile *profile, ob_error **error)
| Get scale range of accelerometer stream. More...
ob_accel_sample_rate | ob_accel_stream_profile_sample_rate (ob_stream_profile *profile, ob_error **error)
| Get sampling frequency of the accelerometer frame. More...
ob_gyro_full_scale_range | ob_gyro_stream_profile_full_scale_range (ob_stream_profile *profile, ob_error **error)
| Get scale range of gyroscope stream. More...
ob_gyro_sample_rate | ob_gyro_stream_profile_sample_rate (ob_stream_profile *profile, ob_error **error)
| Get the sampling frequency of the gyro flow configuration. More...
ob_stream_profile * | ob_stream_profile_list_get_video_stream_profile (ob_stream_profile_list *profile_list, int width, int height, ob_format format, int fps, ob_error **error)
| Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile found, will return error! More...
ob_stream_profile * | ob_stream_profile_list_get_profile (ob_stream_profile_list *profile_list, int index, ob_error **error)
| Get the corresponding StreamProfile by subscripting. More...
uint32_t | ob_stream_profile_list_count (ob_stream_profile_list *profile_list, ob_error **error)
| Get the number of StreamProfile lists. More...
void | ob_delete_stream_profile_list (ob_stream_profile_list *profile_list, ob_error **error)
| Delete stream configuration list. More...
void | ob_delete_stream_profile (ob_stream_profile *profile, ob_error **error)
| Delete stream configuration. More...

## Detailed Description

The stream configuration related type is used to get information such as the width, height, frame rate, and format of the stream.

Definition in file StreamProfile.h.

## Function Documentation

ob_format ob_stream_profile_format | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get stream profile format.

Parameters

  [in] | profile | Stream configuration object
  [out] | error | Log error messages

Returns
  ob_format returns the format of the stream

ob_stream_type ob_stream_profile_type | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get stream profile type.

Parameters

  [in] | profile | Stream configuration object
  [out] | error | Log error messages

Returns
  ob_stream_type stream type

uint32_t ob_video_stream_profile_fps | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the frame rate of the video stream configuration.

Parameters

  [in] | profile | Stream configuration object
  [out] | error | Log error messages

Returns
  uint32_t returns the frame rate of the stream

uint32_t ob_video_stream_profile_width | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the width of the video stream configuration.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not a video stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  uint32_t returns the width of the stream

uint32_t ob_video_stream_profile_height | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the height of the video stream configuration.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not a video stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  uint32_t returns the height of the stream

ob_accel_full_scale_range ob_accel_stream_profile_full_scale_range | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get scale range of accelerometer stream.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not the accelerometer stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  ob_accel_full_scale_range range

ob_accel_sample_rate ob_accel_stream_profile_sample_rate | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get sampling frequency of the accelerometer frame.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not the accelerometer stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  ob_accel_sample_rate sampling frequency

ob_gyro_full_scale_range ob_gyro_stream_profile_full_scale_range | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get scale range of gyroscope stream.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not a gyroscope stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  ob_gyro_full_scale_range range

ob_gyro_sample_rate ob_gyro_stream_profile_sample_rate | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the sampling frequency of the gyro flow configuration.

Parameters

  [in] | profile | Stream configuration object, if the configuration is not a gyroscope stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  ob_gyro_sample_rate sampling frequency

ob_stream_profile* ob_stream_profile_list_get_video_stream_profile | ( | ob_stream_profile_list * | profile_list,
|  | int | width,
|  | int | height,
|  | ob_format | format,
|  | int | fps,
|  | ob_error ** | error
| ) |  |

Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile found, will return error!

Parameters

  | profile_list | Resolution list
  | width | Width, if you don't need to add matching conditions, you can pass 0
  | height | Height, if you don't need to add matching conditions, you can pass 0
  | format | Format, if you don't need to add matching conditions, you can pass OB_FORMAT_UNKNOWN
  | fps | Frame rate, if you don't need to add matching conditions, you can pass 0
  [out] | error | Log error messages

Returns
  ob_stream_profile* returns the matching profile

ob_stream_profile* ob_stream_profile_list_get_profile | ( | ob_stream_profile_list * | profile_list,
|  | int | index,
|  | ob_error ** | error
| ) |  |

Get the corresponding StreamProfile by subscripting.

Parameters

  [in] | profile_list | StreamProfile lists
  [in] | index |
  [out] | error | Log error messages

Returns
  ob_stream_profile* returns the matching profile

uint32_t ob_stream_profile_list_count | ( | ob_stream_profile_list * | profile_list,
|  | ob_error ** | error
| ) |  |

Get the number of StreamProfile lists.

Parameters

  [in] | profile_list | StreamProfile list
  [out] | error | Log error messages

Returns
  uint32_t returns the number of StreamProfile lists

void ob_delete_stream_profile_list | ( | ob_stream_profile_list * | profile_list,
|  | ob_error ** | error
| ) |  |

Delete stream configuration list.

Parameters

  [in] | profiles | Stream configuration list
  [out] | error | Log error messages

void ob_delete_stream_profile | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Delete stream configuration.

Parameters

  [in] | profile | Stream configuration object
  [out] | error | Log error messages